=== debian/changelog ===
ros-kdl-parser (1.13.1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:56:32 +0100

ros-kdl-parser (1.13.1-2) unstable; urgency=medium

  * Drop Python 2 package (Closes: #938383)
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * simplify d/watch
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 25 Oct 2019 16:41:22 +0200

ros-kdl-parser (1.13.1-1) unstable; urgency=medium

  * New upstream version 1.13.1
  * Bump policy version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 Nov 2018 10:20:56 +0100

ros-kdl-parser (1.13.0-1) unstable; urgency=medium

  * Team upload.
  * Initial release (Closes: #903650)

 -- Johannes 'josch' Schauer <josch@debian.org>  Sun, 15 Jul 2018 11:13:49 +0200
