=== debian/control ===
Source: ros-kdl-parser
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 12), catkin, librosconsole-dev, liburdf-dev (>= 1.13.0), liborocos-kdl-dev, libtinyxml2-dev, librostest-dev, python3-all
Standards-Version: 4.4.1
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/kdl_parser
Vcs-Browser: https://salsa.debian.org/science-team/ros-kdl-parser
Vcs-Git: https://salsa.debian.org/science-team/ros-kdl-parser.git

Package: libkdl-parser-dev
Section: libdevel
Architecture: any
Depends: libkdl-parser1d (= ${binary:Version}), ${misc:Depends}, libroscpp-dev, librosconsole-dev, liburdf-dev (>= 1.13.0), ros-cmake-modules, liborocos-kdl-dev, libtinyxml2-dev
Description: Development files for ROS kdl_parser library
 The Kinematics and Dynamics Library (KDL) defines a tree structure to
 represent the kinematic and dynamic parameters of a robot mechanism.
 kdl_parser provides tools to construct a KDL tree from an XML robot
 representation in URDF.
 .
 This package contains the development files for the library.

Package: libkdl-parser1d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: ROS kdl_parser library
 The Kinematics and Dynamics Library (KDL) defines a tree structure to
 represent the kinematic and dynamic parameters of a robot mechanism.
 kdl_parser provides tools to construct a KDL tree from an XML robot
 representation in URDF.
 .
 This package contains the library.
