## ros-kdl-parser 1.14.0

=== debian/changelog ===
ros-kdl-parser (1.14.0-2) unstable; urgency=medium

  * Limit d/watch to ROS1

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 07 Jul 2020 08:13:31 +0200

ros-kdl-parser (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0
  * Remove Thomas from Uploaders, thanks for working on this
  * update copyright
  * rebase patches
  * bump debhelper version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Jun 2020 08:16:30 +0200
