=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: ros-kdl-parser
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <jspricke@debian.org>,
+Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 12), catkin, librosconsole-dev, liburdf-dev (>= 1.13.0), liborocos-kdl-dev, libtinyxml2-dev, librostest-dev, python3-all
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), catkin, librosconsole-dev, liburdf-dev (>= 1.13.0), liborocos-kdl-dev, libtinyxml2-dev, librostest-dev, python3-all
+Standards-Version: 4.5.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/kdl_parser
