=== debian/changelog ===
ros-kdl-parser (1.14.1-7) unstable; urgency=medium

  * Added patch for logcxx

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 02 Feb 2022 12:16:29 +0100

ros-kdl-parser (1.14.1-6) unstable; urgency=medium

  * Fix tests on amd64

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Oct 2021 09:12:08 +0200

ros-kdl-parser (1.14.1-5) unstable; urgency=medium

  * Enable tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Oct 2021 08:43:31 +0200

ros-kdl-parser (1.14.1-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Fix Multiarch hinter issues

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:43:10 +0200

ros-kdl-parser (1.14.1-3) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 20 Sep 2021 23:53:02 +0200

ros-kdl-parser (1.14.1-2) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 16:47:09 +0100

ros-kdl-parser (1.14.1-1) unstable; urgency=medium

  * New upstream version 1.14.1

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 29 Aug 2020 11:36:42 +0200
