=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 13), catkin, librosconsole-dev, liburdf-dev (>= 1.13.0), liborocos-kdl-dev, libtinyxml2-dev, librostest-dev, python3-all
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), librosconsole-dev, liburdf-dev (>= 1.13.0), liborocos-kdl-dev, libtinyxml2-dev, librostest-dev, python3-all, libgtest-dev, python3-nose <!nocheck>, python3-rostest <!nocheck>
+Standards-Version: 4.6.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/kdl_parser
@@ -14,6 +14,7 @@
 Package: libkdl-parser-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libkdl-parser1d (= ${binary:Version}), ${misc:Depends}, libroscpp-dev, librosconsole-dev, liburdf-dev (>= 1.13.0), ros-cmake-modules, liborocos-kdl-dev, libtinyxml2-dev
 Description: Development files for ROS kdl_parser library
  The Kinematics and Dynamics Library (KDL) defines a tree structure to
