## ros-kdl-parser 1.14.2

=== debian/changelog ===
ros-kdl-parser (1.14.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Timo Röhling ]
  * Wrap and sort Debian package files
  * Update d/watch to latest GitHub recipe
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Thu, 10 Oct 2024 18:43:47 +0200

ros-kdl-parser (1.14.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Jochen Sprickerhof ]
  * Drop nose dependency (Closes: #1018630)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Aug 2022 14:48:22 +0200

ros-kdl-parser (1.14.2-1) unstable; urgency=medium

  * New upstream version 1.14.2

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 15 Apr 2022 08:44:54 +0200
