=== debian/control ===
Source: ros-kdl-parser
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 catkin (>= 0.8.10-1~),
 debhelper-compat (= 13),
 dh-ros,
 libgtest-dev,
 liborocos-kdl-dev,
 librosconsole-dev,
 librostest-dev,
 libtinyxml2-dev,
 liburdf-dev,
 python3-all,
 python3-rostest <!nocheck>,
Standards-Version: 4.7.0
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/kdl_parser
Vcs-Browser: https://salsa.debian.org/science-team/ros-kdl-parser
Vcs-Git: https://salsa.debian.org/science-team/ros-kdl-parser.git

Package: libkdl-parser-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libkdl-parser1d (= ${binary:Version}),
 liborocos-kdl-dev,
 librosconsole-dev,
 libroscpp-dev,
 libtinyxml2-dev,
 liburdf-dev,
 ros-cmake-modules,
 ${misc:Depends},
Description: Development files for ROS kdl_parser library
 The Kinematics and Dynamics Library (KDL) defines a tree structure to
 represent the kinematic and dynamic parameters of a robot mechanism.
 kdl_parser provides tools to construct a KDL tree from an XML robot
 representation in URDF.
 .
 This package contains the development files for the library.

Package: libkdl-parser1d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: ROS kdl_parser library
 The Kinematics and Dynamics Library (KDL) defines a tree structure to
 represent the kinematic and dynamic parameters of a robot mechanism.
 kdl_parser provides tools to construct a KDL tree from an XML robot
 representation in URDF.
 .
 This package contains the library.
