=== debian/tests/control ===
Test-Command: ./debian/tests/compilation kdl_parser kdl_parser/kdl_parser.hpp
Restrictions:
 allow-stderr,
Depends:
 catkin,
 g++,
 libkdl-parser-dev,
